Bug 1335096 - In-service Software Update chapter in installation guide does not include re-mounting of gluster lock mount after an yum update just before starting ctdb
Summary: In-service Software Update chapter in installation guide does not include re-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Installation_Guide
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: RHGS 3.1.3
Assignee: Bhavana
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1311847
TreeView+ depends on / blocked
 
Reported: 2016-05-11 11:05 UTC by Vivek Das
Modified: 2016-06-29 14:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 14:22:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vivek Das 2016-05-11 11:05:41 UTC
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Installation_Guide/Updating_Your_Current_System.html

Section Number and Name: 

8.3. In-service Software Update to Red Hat Gluster Storage 3.1.x from 3.y.z

Describe the issue: 

The installation guide it is mentioned that we need to kill gluster process and stop ctdb before yum update.
After yum update the guide asks to start glusterd and start ctdb. If we do so then ctdb wont be able to communicate with other ctdbs in the cluster and we end up stopping ctdb and then doing a gluster lock mount.

The correction that should go in is that we need to mount "/gluster/lock" before starting ctdb.


Suggestions for improvement: 

Additional information:

Comment 3 Bhavana 2016-06-01 07:18:26 UTC
Added the following step in the "Note" column as he first step:

a) Mount /gluster/lock before starting CTDB by executing the following command:

# mount -a

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Installation_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#Updating_Your_Current_System

Comment 4 Vivek Das 2016-06-07 06:27:04 UTC
Looks good. Marking it as verified.


Note You need to log in before you can comment on or make changes to this bug.